#!/bin/bash -e

if [ -z "${IMAGE_DIR_NAME}" ] 
then
    echo "Error: variable IMAGE_DIR_NAME must be set."
    exit 1
fi  

VPATHS_LIST="/opt/exagear/images/${IMAGE_DIR_NAME}/.exagear/vpaths-list"
if [ ! -f "${VPATHS_LIST}" ]
then
    echo "Error: vpaths-list is not found"
    exit 1
fi

for ENTRY in `cat "${VPATHS_LIST}"`
do   
        if [ ! -z "${ENTRY}" ]
        then
            if  [ "`echo $ENTRY | tail -c 2`" == '/' ]
            then            
                mkdir -p /opt/exagear/images/${IMAGE_DIR_NAME}/${ENTRY}
            else
                mkdir -p `dirname /opt/exagear/images/${IMAGE_DIR_NAME}/${ENTRY}`

                if [ -L "/opt/exagear/images/${IMAGE_DIR_NAME}/${ENTRY}" ]
                then
                    unlink "/opt/exagear/images/${IMAGE_DIR_NAME}/${ENTRY}"
                fi

                if [ -e "/opt/exagear/images/${IMAGE_DIR_NAME}/${ENTRY}" ]
                then
                    truncate --size 0 /opt/exagear/images/${IMAGE_DIR_NAME}/${ENTRY}
                else
                    touch "/opt/exagear/images/${IMAGE_DIR_NAME}/${ENTRY}"
                fi
            fi
        fi
done
exit 0


